edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer

## Class EnglishDecruftifier.CruftySpelling

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.spellingstandardizer.EnglishDecruftifier.CruftySpelling

- Enclosing class:
    EnglishDecruftifier

      public static class EnglishDecruftifier.CruftySpelling
      extends java.lang.Object

  Holds spelling in process of decruftification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `done` True if decruftification process complete.
    `(package private) boolean` | `isAllCaps` True if original crufty spelling is all caps.
    `(package private) java.lang.String` | `spelling` The spelling in process of decruftification.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnglishDecruftifier.CruftySpelling(java.lang.String spelling, boolean done)` CruftySpelling constructor.
    `EnglishDecruftifier.CruftySpelling(java.lang.String spelling, boolean done, boolean isAllCaps)` CruftySpelling constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spelling

          java.lang.String spelling

      The spelling in process of decruftification.

    - #### done

          boolean done

      True if decruftification process complete.

    - #### isAllCaps

          boolean isAllCaps

      True if original crufty spelling is all caps.

  - ### Constructor Detail

    - #### EnglishDecruftifier.CruftySpelling

          public EnglishDecruftifier.CruftySpelling(java.lang.String spelling,
                                            boolean done,
                                            boolean isAllCaps)

      CruftySpelling constructor.

    - #### EnglishDecruftifier.CruftySpelling

          public EnglishDecruftifier.CruftySpelling(java.lang.String spelling,
                                            boolean done)

      CruftySpelling constructor.